export default class CommonGetters {
    private options;
    constructor(options: any);
    /**
     * Returns Username
     */
    getUsername(): any;
    /**
     * Returns ProfileID
     */
    getProfileId(): any;
    /**
     * Returns content's PluginVersion
     *
     */
    getPluginVersion(): string;
    /**
     * Returns requestNumber value, to prevent /data calls being cached
     *
     */
    getRequestNumber(): number;
    /** COMMONS GETTERS */
    getUserType(): any;
    /**
     * Returns AnonymousUser
     *
     */
    getAnonymousUser(): any;
    /**
     * Get URL referer.
     *
     */
    getReferer(): any;
    /**
     * Get URL referral.
     * Previous page url.
     */
    getReferral(): any;
    getPageName(): any;
    /**
     * Get Browser language
     *
     */
    getLanguage(): string | undefined;
    /**
     * Get Screen resolution
     *
     */
    getScreenResolution(): string | undefined;
    /** Returns deviceInfo json
     *
     */
    getDeviceInfo(): any;
    /**
     * Returns DeviceCode
     *
     */
    getDeviceCode(): any;
    /**
     * Returns Device model
     *
     */
    getModel(): any;
    /**
     * Returns Device brand
     *
     */
    getBrand(): any;
    /**
     * Returns Device type
     *
     */
    getDeviceType(): any;
    /**
     * Returns Device name
     *
     */
    getDeviceName(): any;
    /**
     * Returns Device OS name
     *
     */
    getOsName(): any;
    /**
     * Returns Device OS Version
     *
     */
    getOsVersion(): any;
    /**
     * Returns Device browser name
     *
     */
    getBrowserName(): any;
    /**
     * Returns Device browser version
     *
     */
    getBrowserVersion(): any;
    /**
     * Returns Device browser type
     *
     */
    getBrowserType(): any;
    /**
     * Returns DeviceCode
     *
     */
    getBrowserEngine(): any;
    getIsBlocked(): any;
    isMethodPostEnabled(): any;
    getDeviceUUID(): undefined;
    /**
     * Returns content's PluginVersion
     *
     */
    getLibVersion(): any;
    getAppName(): any;
    getAppReleaseVersion(): any;
    /**
     * Returns Ip
     *
     */
    getIp(): any;
    /**
     * Returns Isp
     *
     */
    getIsp(): any;
    /**
     * Returns ConnectionType
     *
     */
    getConnectionType(): any;
    /** Returns EDID object
     *
     */
    getEDID(): any;
    /**
     * Returns obfuscateIp option
     *
     */
    getObfuscateIp(): any;
    /**
     * Returns privacy protocol option
     *
     */
    getPrivacyProtocol(): any;
    /**
     * Return custom dimensions
     *
     */
    getCustomDimensions(): any;
    /**
     * Returns content's Extraparam1
     *
     */
    getExtraparam1(): any;
    /**
     * Returns content's Extraparam2
     *
     */
    getExtraparam2(): any;
    /**
     * Returns content's Extraparam3
     *
     */
    getExtraparam3(): any;
    /**
     * Returns content's Extraparam4
     *
     */
    getExtraparam4(): any;
    /**
     * Returns content's Extraparam5
     *
     */
    getExtraparam5(): any;
    /**
     * Returns content's Extraparam6
     *
     */
    getExtraparam6(): any;
    /**
     * Returns content's Extraparam7
     *
     */
    getExtraparam7(): any;
    /**
     * Returns content's Extraparam8
     *
     */
    getExtraparam8(): any;
    /**
     * Returns content's Extraparam9
     *
     */
    getExtraparam9(): any;
    /**
     * Returns content's Extraparam10
     *
     */
    getExtraparam10(): any;
    /**
     * Returns content's Extraparam11
     *
     */
    getExtraparam11(): any;
    /**
     * Returns content's Extraparam12
     *
     */
    getExtraparam12(): any;
    /**
     * Returns content's Extraparam13
     *
     */
    getExtraparam13(): any;
    /**
     * Returns content's Extraparam14
     *
     */
    getExtraparam14(): any;
    /**
     * Returns content's Extraparam15
     *
     */
    getExtraparam15(): any;
    /**
     * Returns content's Extraparam16
     *
     */
    getExtraparam16(): any;
    /**
     * Returns content's Extraparam17
     *
     */
    getExtraparam17(): any;
    /**
     * Returns content's Extraparam18
     *
     */
    getExtraparam18(): any;
    /**
     * Returns content's Extraparam19
     *
     */
    getExtraparam19(): any;
    /**
     * Returns content's Extraparam20
     *
     */
    getExtraparam20(): any;
    /**
     * Returns parse Manifest Flag
     *
     */
    isParseManifest(): any;
    /**
     * Returns parse CdnNode Flag
     *
     */
    isParseCdnNode(): any;
    /**
     * Returns parse cdn switch Flag
     *
     */
    isCdnSwitch(): any;
    /**
     * Returns Cdn list
     *
     */
    getParseCdnNodeList(): any;
    /**
     * Returns Cdn header name
     *
     */
    getParseCdnNodeNameHeader(): any;
    /**
     * Returns header node name
     *
     */
    getParseNodeHeader(): any;
    /**
     * Return if is possible to overwrite adapters-json
     *
     * @returns {boolean}
     */
    canOverwriteAdapters(): boolean;
    /**
     * Get defined Adapter properties
     * @returns {object}
     */
    getAdaptersProperties(): any;
    /**
     * Check if AppAnalytics has auto begin before plugin creation
     * @returns {boolean}
     */
    isAppAnalyticsAutoBegin(): boolean;
    /**
     * Is AppAnalytics enabled
     * @returns {boolean}
     */
    isAppAnalyticsEnabled(): boolean;
    /**
     * Is VideoAnalytics enabled
     * @returns {boolean}
     */
    isVideoAnalyticsEnabled(): boolean;
    /**
     * Is Configuration Refresh from LMA
     * @returns {boolean}
     */
    isRefreshLMAConfigurationEnabled(): boolean;
    /**
     * Is Plugin Logs enabled (to report QA Tools additional info)
     * @returns {boolean|*}
     */
    isPluginLogsEnabled(): boolean;
    /**
     * Is Player Event Logs enabled (to report QA Tools additional info)
     * @returns {boolean|*}
     */
    isPlayerLogsEnabled(): boolean;
    /**
     * Time to refresh configuration object from LMA
     * @returns {boolean}
     */
    refreshLMAConfigurationSeconds(): any;
    /**
     * Return if playhead monitor is enabled
     * @returns {boolean}
     */
    getPlayheadMonitorEnabled(): any;
    /**
     * Return if readyState monitor/check method are enabled
     * @returns {boolean}
     */
    getReadyStateMonitorEnabled(): any;
}
